Runtime

## org.eclipse.gmf.runtime.draw2d.ui.geometry
Class LineSeg.TrigValues

    java.lang.Object
      org.eclipse.gmf.runtime.draw2d.ui.geometry.LineSeg.TrigValues

Enclosing class:
  LineSeg

    public static class LineSeg.TrigValues

extends java.lang.Object

Structure to hold onto trig values that represent an angle

Field Summary
`double` `cosTheta` Cos theta value.
`double` `sinTheta` Sin theta value

Constructor Summary
`LineSeg.TrigValues()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sinTheta

    public double sinTheta

  Sin theta value

### cosTheta

    public double cosTheta

  Cos theta value.

Constructor Detail

### LineSeg.TrigValues

    public LineSeg.TrigValues()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.